<template>
  <div id="app">
    <router-view/>
  </div>
</template>

<script>
import {GetMenu} from './api/sys/login'
import util from './libs/util'
export default {
  name: 'app',
	  /* mounted () {
	  const TOKENID = util.cookies.get('TOKENID')
	  if (TOKENID && TOKENID !== 'undefined') {
	    GetMenu().then(res=>{
	      let menu = JSON.parse(res.msgDat)
	      menu.unshift({
	        path: '/index',
	        title: '首页',
	        icon: 'home'
	      })
	
	      this.$store.commit('d2admin/menu/asideSet', menu)
	      this.$store.commit('d2admin/search/init', menu)
	    })
	  }
	} */
}
</script>

<style lang="scss">
@import '~@/assets/style/public-class.scss';
</style>
